# Boost Exception

## boost/exception/diagnostic_information.hpp

### Synopsis

    #include <string>

    namespace
    boost
        {
        class exception;

        template <class E>
        std::string diagnostic_information( E const & e );

        std::string diagnostic_information( exception_ptr const & p );

        char const * diagnostic_information_what( boost::exception const & e ) throw();

        std::string current_exception_diagnostic_information();
        }

See also: boost/exception/all.hpp | current_exception_diagnostic_information | diagnostic_information | diagnostic_information_what | Synopsis